Log4j 1.2.7

## org.apache.log4j
Class Logger

    java.lang.Object
      |
      +--org.apache.log4j.Category
            |
            +--org.apache.log4j.Logger

All Implemented Interfaces:
  AppenderAttachable

Direct Known Subclasses:
  RootCategory

public class Logger
extends Category

This is the central class in the log4j package. Most logging operations, except configuration, are done through this class.

Since:
  log4j 1.2
Author:
  Ceki Gülcü

Fields inherited from class org.apache.log4j.Category
`additive, level, name, parent, repository, resourceBundle`

Constructor Summary
`protected` `Logger(String name)`

Method Summary
`static Logger` `getLogger(Class clazz)` Same as calling `getLogger(clazz.getName())`.
`static Logger` `getLogger(String name)` Retrieve a logger by name.
`static Logger` `getLogger(String name, LoggerFactory factory)` Like `getLogger(String)` except that the type of logger instantiated depends on the type returned by the `LoggerFactory.makeNewLoggerInstance(java.lang.String)` method of the `factory` parameter.
`static Logger` `getRootLogger()` Retrieve the root logger.

Methods inherited from class org.apache.log4j.Category

`addAppender, assertLog, callAppenders, debug, debug, error, error, exists, fatal, fatal, forcedLog, getAdditivity, getAllAppenders, getAppender, getChainedPriority, getCurrentCategories, getDefaultHierarchy, getEffectiveLevel, getHierarchy, getInstance, getInstance, getLevel, getLoggerRepository, getName, getParent, getPriority, getResourceBundle, getResourceBundleString, getRoot, info, info, isAttached, isDebugEnabled, isEnabledFor, isInfoEnabled, l7dlog, l7dlog, log, log, log, removeAllAppenders, removeAppender, removeAppender, setAdditivity, setLevel, setPriority, setResourceBundle, shutdown, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    protected Logger(String name)

Method Detail

### getLogger

    public static Logger getLogger(String name)

  Retrieve a logger by name.

### getLogger

    public static Logger getLogger(Class clazz)

  Same as calling `getLogger(clazz.getName())`.

### getRootLogger

    public static Logger getRootLogger()

  Retrieve the root logger.

### getLogger

    public static Logger getLogger(String name,
                                   LoggerFactory factory)

  Like `getLogger(String)` except that the type of logger instantiated depends on the type returned by the `LoggerFactory.makeNewLoggerInstance(java.lang.String)` method of the `factory` parameter.

  This method is intended to be used by sub-classes.

  Parameters:
    `name` - The name of the logger to retrieve.
    `factory` - A `LoggerFactory` implementation that will actually create a new Instance.
  Since:
    0.8.5

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.